Package: MsDataHub
Title: Mass Spectrometry Data on ExperimentHub
Version: 1.10.0
Authors@R: 
    c(person(given = "Laurent",
             family = "Gatto",
             email = "laurent.gatto@uclouvain.be",
             role = c("aut", "cre"),
             comment = c(ORCID = "0000-0002-1520-2268")),
      person(given = "Kristina",
             family = "Gomoryova",
             role = "ctb",
             comment = c(ORCID = "0000-0003-4407-3917")),
      person(given = "Johannes",
             family = "Rainer",
             email = "Johannes.Rainer@eurac.edu",
             role = "aut",
             comment = c(ORCID = "0000-0002-6977-7147")))
Description: The MsDataHub package uses the ExperimentHub
             infrastructure to distribute raw mass spectrometry data
             files, peptide spectrum matches or quantitative data from
             proteomics and metabolomics experiments.
License: Artistic-2.0
BugReports: https://github.com/RforMassSpectrometry/MsDataHub/issues
URL: https://rformassspectrometry.github.io/MsDataHub
Imports: ExperimentHub, utils
Suggests: ExperimentHubData, DT, BiocStyle, knitr, rmarkdown, testthat
        (>= 3.0.0), Spectra, mzR, PSMatch, QFeatures (>= 1.13.3)
biocViews: ExperimentHubSoftware, MassSpectrometry, Proteomics,
        Metabolomics
Encoding: UTF-8
VignetteBuilder: knitr
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
Config/testthat/edition: 3
git_url: https://git.bioconductor.org/packages/MsDataHub
git_branch: RELEASE_3_22
git_last_commit: c362bfe
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 05:19:20 UTC; biocbuild
Author: Laurent Gatto [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-1520-2268>),
  Kristina Gomoryova [ctb] (ORCID:
    <https://orcid.org/0000-0003-4407-3917>),
  Johannes Rainer [aut] (ORCID: <https://orcid.org/0000-0002-6977-7147>)
Maintainer: Laurent Gatto <laurent.gatto@uclouvain.be>

The `MsDataHub` package provides example mass spectrometry data,
peptide spectrum matches or quantitative data from proteomics and
metabolomics experiments. `MsDataHub` is a replacement for `msdata`,
that was growing too much in size The data in `MsDataHub` are served
through the `ExperimentHub` infrastructure, which allows download them
only ones and cache them for further use.

## Installation

To install the package:

```
if (!require("BiocManager"))
    install.packages("BiocManager")

BiocManager::install("MsDataHub")
```

## Availabe data

If you want to know what datasets are available:

- Install the package and use `MsDataHub::MsDataHub()`.
- Have a look at the *Available data* section in the vignette.

To contribute datasets, see the *Adding data to `MsDataHub`* in the
vignette.

## More questions

Any other question or issue, feel free to open a GitHub
[issue](https://github.com/rformassspectrometry/MsDataHub/issues) or
ask on the [Bioconductor support
forum](https://support.bioconductor.org/).

##' @title Derks 2022 plexDIA data
##'
##' @name Report.Derks2022.plexDIA
##'
##' @aliases Report.Derks2022.plexDIA.tsv
##'
##' @description
##'
##' Single cell proteomics data acquired by the Slavov Lab using the
##' plexDIA protocol. It contains quantitative information from
##' pancreatic ductal acinar cells (PDAC; HPAF-II), melanoma cells
##' (WM989-A6-G3) and monocytes (U-937) at precursor and protein
##' level. The each run acquired 3 samples thanks to mTRAQ
##' multiplexing.
##'
##' The data were downloaded from the Slavov lab google drive:
##' - https://drive.google.com/drive/folders/1pUC2zgXKtKYn22mlor0lmUDK0frgwL_-
##' - DIANN_outputs
##' - wJD1146_1193_1200_tsvLib
##' - Report.tsv
##'
##' For more details about the data: https://plexdia.slavovlab.net/
##'
##' The file is reshare here allow its dissemination via the MsDataHub
##' package.
##'
##' @references
##'
##' Derks, J., Leduc, A., Wallmann, G. et al. Increasing the
##' throughput of sensitive proteomics by plexDIA. Nat Biotechnol
##' (2022). 10.1038/s41587-022-01389-w.
##'
##' @author Laurent Gatto
NULL

## PXD000001 files: raw mzML and identification data

if (!require("msdata"))
    BiocManager::install("msdata")

fls <- c(
    msdata::proteomics(full.names = TRUE, pattern = "TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz"),
    msdata::ident(full.names = TRUE))

## destination
destdir <- "../../data/PXD000001"
if (!file.exists(destdir))
    dir.create(destdir)
dest <- file.path(destdir, basename(fls))


dest <- dest[!file.exists(dest)]
if (length(dest)) {
    ## copy and check
    status <- file.copy(from = fls, to = dest)
    stopifnot(status)
    stopifnot(file.exists(dest))
}

##' @importFrom ExperimentHub createHubAccessors
.onLoad <- function(libname, pkgname) {
    fl <- system.file("extdata", "metadata.csv", package = pkgname)
    titles <- read.csv(fl, stringsAsFactors = FALSE)$Title
    ExperimentHub::createHubAccessors(pkgname, titles)
}

stopifnot(require("camprotR"))

## Global Proteome Machine's cRAP database
download.file("ftp://ftp.thegpm.org/fasta/cRAP/crap.fasta",
              destfile = "crap_gpm.fasta")

## Cambridge Centre for Proteomics' cRAP database
camprotR::download_ccp_crap("crap_ccp.fasta", is_crap = TRUE,
                            overwrite = FALSE)


## MaxQuant contaminants.fasta
file.copy(
    system.file("extdata", "contaminants.fasta.gz", package = "camprotR") ,
    "crap_maxquant.fasta.gz")

##' @title CPTAC label-free data
##'
##' @name cptac
##'
##' @aliases cptac_a_b_c_peptides.txt cptac_a_b_peptides.txt cptac_peptides.txt
##'
##' @description
##'
##' This case-study is a subset of the data of the 6th study of the
##' Clinical Proteomic Technology Assessment for Cancer (CPTAC)
##' (Paulovich et al. 2010). In this experiment, the authors spiked
##' the Sigma Universal Protein Standard mixture 1 (UPS1) containing
##' 48 different human proteins in a protein background of 60
##' micro g/micro L Saccharomyces cerevisiae strain BY4741.
##'
##' Five different spike-in concentrations were used:
##' - 6A: 0.25 fmol UPS1 proteins/micro L
##' - 6B: 0.74 fmol UPS1 proteins/micro L
##' - 6C: 2.22 fmol UPS1 proteins/micro L
##' - 6D: 6.67 fmol UPS1 proteins/micro L
##' - 6E: 20 fmol UPS1 proteins/micro L
##'
##' Three replicates are available for each concentration.
##'
##' The data were searched with MaxQuant version 1.5.2.8 (Cox et
##' al. 2008) including matching between runs. Detailed search
##' settings were described in Goeminne et al. (2016).
##'
##' Three files are readily available as tab-delimited spreadsheets:
##'
##' - cptac_a_b_peptides.txt: triplicates from lab 3 for groupes 6A
##'   and 6B.
##' - cptac_a_b_c_peptides.txt: triplicates from labs 1, 2 and 3 for
##'   groupes 6A, 6B and 6C.
##' - cptac_peptides.txt: triplicates from labs 1, 2, and 3 for all
##'   groups.
##'
##' @references
##'
##' - Paulovich, Amanda G, Dean Billheimer, Amy-Joan L Ham, Lorenzo
##'   Vega-Montoto, Paul A Rudnick, David L Tabb, Pei Wang, et
##'   al. 2010. *Interlaboratory Study Characterizing a Yeast
##'   Performance Standard for Benchmarking LC-MS Platform
##'   Performance.* Mol. Cell. Proteomics 9 (2): 242–54.
##'
##' - Cox, J, and M Mann. 2008. *MaxQuant Enables High Peptide
##'   Identification Rates, Individualized p.p.b.-Range Mass
##'   Accuracies and Proteome-Wide Protein Quantification.* Nat
##'   Biotechnol 26 (12): 1367–72. https://doi.org/10.1038/nbt.1511.
##'
##' - Goeminne, LJ, Gevaert K and Clement, L. 2016. *Peptide-level
##'   Robust Ridge Regression Improves Estimation, Sensitivity, and
##'   Specificity in Data-dependent Quantitative Label-free Shotgun
##'   Proteomics*, Mol Cell Proteomics, 15:2 657-668.
##'
##' @author Laurent Gatto and Lieven Clement
NULL

## Files fro the sciex folder: 20171016_POOL_POS_1_105-134.mzML and
## 20171016_POOL_POS_3_105-134.mzML

if (!require("msdata"))
    BiocManager::install("msdata")

## files to be copied
fls <- dir(system.file("sciex", package = "msdata"), full.name = TRUE)
fls <- fls[basename(fls) %in% c("20171016_POOL_POS_1_105-134.mzML",
                                "20171016_POOL_POS_3_105-134.mzML")]

## destination
destdir <- "../../data/sciex"
if (!file.exists(destdir))
    dir.create(destdir)
dest <- file.path(destdir, basename(fls))

dest <- dest[!file.exists(dest)]
if (length(dest)) {
    ## copy and check
    status <- file.copy(from = fls, to = dest)
    stopifnot(status)
    stopifnot(file.exists(dest))
}

## From director cdf: ko15.CDF

if (!require("msdata"))
    BiocManager::install("msdata")

## files to be copied
fls <- dir(system.file("cdf", package = "msdata"), full.name = TRUE)
fls <- fls[basename(fls) %in% "ko15.CDF"]

## destination
destdir <- "../../data/cdf"
if (!file.exists(destdir))
    dir.create(destdir)
dest <- file.path(destdir, basename(fls))

dest <- dest[!file.exists(dest)]

if (length(dest)) {
    ## copy and check
    status <- file.copy(from = fls, to = dest)
    stopifnot(status)
    stopifnot(file.exists(dest))
}

## From director quant: cptac_a_b_peptides.txt as well as the more
## complete file containing peptides for all groups cptac_peptides.txt
## and cptac_a_b_c_peptides.txt downloaded from github.

if (!require("msdata"))
    BiocManager::install("msdata")

## msdata files to be copied
fls <- dir(system.file("quant", package = "msdata"), full.name = TRUE,
           pattern = "cptac_a_b_peptides.txt")

## remote files to download
fls2 <- c(cptac_a_b_c_peptides.txt = "https://uclouvain-cbio.github.io/WSBIM2122/data/cptac_a_b_c_peptides.txt",
          cptac_peptides.txt = "https://raw.githubusercontent.com/statOmics/PDA/data/quantification/fullCptacDatasSetNotForTutorial/peptides.txt")

## destination
destdir <- "../../data/cptac"
if (!file.exists(destdir))
    dir.create(destdir)
dest <- file.path(destdir, basename(fls))
dest2 <- file.path(destdir, names(fls2))


dest <- dest[!file.exists(dest)]
if (length(dest)) {
    ## copy and check
    status <- file.copy(from = fls, to = dest)
    stopifnot(status)
    stopifnot(file.exists(dest))
}

dest2 <- dest[!file.exists(dest2)]
if (length(dest2)) {
    ## download and check
    status2 <- mapply(download.file, url = fls2, destfile = dest2)
    stopifnot(status2 == 0)
    stopifnot(file.exists(dest2))
}

stopifnot(identical(dir(destdir), c("cptac_a_b_c_peptides.txt",
                                    "cptac_a_b_peptides.txt",
                                    "cptac_peptides.txt")))

## Run in MsDataHub/inst/scripts to download data in MsDataHub/data.
stopifnot(grepl("MsDataHub/inst/scripts", getwd()))

## Get all make-data-*.R files
(make_data <- grep("make-data-.+\\.R", dir(), value = TRUE))

## Source each file. Note that each script will only actually download
## data if it's not already available in the destination directory. To
## force download data, delete MsDataHub/data/*.

## NB: locally, the data are stored in the package's data directory,
## but in the Azure cloud, they are located in the package's root
## directory.

for (f in make_data) {
    message("Sourcing ", f)
    source(f)
}

## A script to make the metadata.csv file located in inst/extdata of
## the package.See ?AnnotationHubData::makeAnnotationHubMetadata for a
## description of the metadata.csv file, expected fields and data
## types. This AnnotationHubData::makeAnnotationHubMetadata() function
## can be used to validate the metadata.csv file before submitting the
## package.

metadata <-
    data.frame(
        Title = c(
            "ko15.CDF",
            "cptac_a_b_c_peptides.txt",
            "cptac_a_b_peptides.txt",
            "cptac_peptides.txt",
            "TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid",
            "TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz",
            "20171016_POOL_POS_1_105-134.mzML",
            "20171016_POOL_POS_3_105-134.mzML",
            "PestMix1_DDA.mzML",
            "PestMix1_SWATH.mzML",
            "benchmarkingDIA.tsv",
            "Report-Derks2022-plexDIA.tsv",
            "Ai2025_aCMs_report.tsv",
            "Ai2025_iCMs_report.tsv",
            "crap_gpm.fasta",
            "crap_ccp.fasta",
            "crap_maxquant.fasta.gz"
        ),
        Description = c(
            "Raw metabolomics MS file in netCDF format. See ?ko15.CDF for details.",
            "Conditions A, B and C of the CPTAC quantitative proteomics data (tab-delimited format). See ?cptac for details.",
            "Conditions A and B of the CPTAC quantitative proteomics data (tab-delimited format). See ?cptac for details.",
            "CPTAC quantitative proteomics data (tab-delimited format). See ?cptac for details.",
            "Peptide spectrum matches from the PDX000001 experiment. See ?PXD000001 for details.",
            "Raw MS data from the PDX000001 experiment, in mzML format. See ?PXD000001 for details.",
            "AB Sciex LC-MS data file (injection index 1), in mzML format. See ?sciex for details.",
            "AB Sciex LC-MS data file (injection index 19), in mzML format. See ?sciex for details.",
            "Triple TOF DDA raw data, in mzML format. See ?TripleTOF for details.",
            "Triple TOF SWATH raw data, in mzML format. See ?TripleTOF for details.",
            "Output of DIA-NN software (report.tsv)",
            "Derk et al. (2022) single-cell proteomics plexDIA results (DIA-NN report.tsv).",
            "Ai et al. (2025) Single Cell Proteomics Reveals Specific Cellular Subtypes in Cardiomyocytes Derived from Human iPSCs and Adult Hearts.",
            "Ai et al. (2025) Single Cell Proteomics Reveals Specific Cellular Subtypes in Cardiomyocytes Derived from Human iPSCs and Adult Hearts.",
            "common Repository of Adventitious Proteins (cRAP) from the Global Proteome Machine (GPM)",
            "common Repository of Adventitious Proteins (cRAP) from the Cambridge Centre for Proteomics (CCP)",
            "MaxQuant's contaminant database"
            ),
        BiocVersion = c(rep("3.17", 11), "3.19", "3.21", "3.21", "3.21", "3.21", "3.21"),
        Genome = "",
        SourceType = c(
            "CDF",
            "TXT",
            "TXT",
            "TXT",
            "mzid",
            "mzML",
            "mzML",
            "mzML",
            "mzML",
            "mzML",
            "TSV",
            "TSV",
            "TSV",
            "TSV",
            "FASTA",
            "FASTA",
            "FASTA"
       ),
        SourceUrl = c(
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://uclouvain-cbio.github.io/WSBIM2122/data/cptac_a_b_c_peptides.txt",
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://raw.githubusercontent.com/statOmics/PDA/data/quantification/fullCptacDatasSetNotForTutorial/peptides.txt",
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://ftp.pride.ebi.ac.uk/pride/data/archive/2012/03/PXD000001/",
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://bioconductor.org/packages/3.16/data/experiment/html/msdata.html",
            "https://zenodo.org/records/8063173",
            "https://drive.google.com/drive/folders/1pUC2zgXKtKYn22mlor0lmUDK0frgwL_-",
            "ftp://massive.ucsd.edu/v07/MSV000094438/updates/2024-10-23_bineka_5deafa61/other/Supplementary%20Files/aCMs/report.tsv",
            "ftp://massive.ucsd.edu/v07/MSV000094438/updates/2024-10-23_bineka_5deafa61/other/Supplementary%20Files/iCMs/report1.tsv",
            "https://zenodo.org/records/15115102/files/crap_gpm.fasta",
            "https://zenodo.org/records/15115102/files/crap_ccp.fasta",
            "https://zenodo.org/records/15115102/files/crap_maxquant.fasta.gz"
            ),
        SourceVersion = rep("1.0", 17),
        Species = c(
            "Mus musculus",
            "Saccharomyces cerevisiae",
            "Saccharomyces cerevisiae",
            "Saccharomyces cerevisiae",
            "Erwinia carotovora",
            "Erwinia carotovora",
            "Homo sapiens",
            "Homo sapiens",
            "",
            "",
            "Homo sapiens",
            "Homo sapiens",
            "Homo sapiens",
            "Homo sapiens",
            "",
            "",
            ""
        ),
        TaxonomyId = c(
            "10090",
            "4932",
            "4932",
            "4932",
            "554",
            "554",
            "9606",
            "9606",
            "",
            "",
            "9606",
            "9606",
            "9606",
            "9606",
            "",
            "",
            ""
        ),
        Coordinate_1_based = "",
        DataProvider = "",
        Maintainer = "Laurent Gatto <laurent.gatto@uclouvain.be>",
        RDataClass = c(
            "Spectra",
            "data.frame",
            "data.frame",
            "data.frame",
            "Spectra",
            "PSM",
            "Spectra",
            "Spectra",
            "Spectra",
            "Spectra",
            "data.frame",
            "data.frame",
            "data.frame",
            "data.frame",
            "AAStringSet",
            "AAStringSet",
            "AAStringSet"
        ),
        DispatchClass = c(
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath",
            "FilePath"
        ),
        ## NB: locally, the data are stored in the package's data directory, but
        ## in the Azure cloud, they are located in the package's root directory.
        Location_Prefix = c(
          rep("", times = 10),
          "https://zenodo.org/",
          "https://zenodo.org/",
          "ftp://massive.ucsd.edu/",
          "ftp://massive.ucsd.edu/",
          "https://zenodo.org/",
          "https://zenodo.org/",
          "https://zenodo.org/"
        ),
         RDataPath = c(
            "MsDataHub/cdf/ko15.CDF",
            "MsDataHub/cptac/cptac_a_b_c_peptides.txt",
            "MsDataHub/cptac/cptac_a_b_peptides.txt",
            "MsDataHub/cptac/cptac_peptides.txt",
            "MsDataHub/PXD000001/TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid",
            "MsDataHub/PXD000001/TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz",
            "MsDataHub/sciex/20171016_POOL_POS_1_105-134.mzML",
            "MsDataHub/sciex/20171016_POOL_POS_3_105-134.mzML",
            "MsDataHub/TripleTOF-SWATH/PestMix1_DDA.mzML",
            "MsDataHub/TripleTOF-SWATH/PestMix1_SWATH.mzML",
            "record/8063173/files/benchmarkingDIA.tsv",
            "records/10938597/files/Report-Derks2022-plexDIA.tsv",
            "v07/MSV000094438/updates/2024-10-23_bineka_5deafa61/other/Supplementary%20Files/aCMs/report.tsv",
            "v07/MSV000094438/updates/2024-10-23_bineka_5deafa61/other/Supplementary%20Files/iCMs/report1.tsv",
            "records/15115102/files/crap_gpm.fasta",
            "records/15115102/files/crap_ccp.fasta",
            "records/15115102/files/crap_maxquant.fasta.gz"
         ),
       Tags = ""
    )


## The experiment titles are conferted into functions to directly
## access the individual resources. This requires that they correspond
## to valid unique symbol names. To assert this, then are converted
## with make.names().
metadata[["Title"]] <- make.names(metadata[["Title"]])


if (!grepl("MsDataHub/inst/scripts", getwd()))
    stop("Run from MsDataHub/inst/scripts")

library(here)
write.csv(metadata, file = here("inst", "extdata", "metadata.csv"),
          row.names = FALSE)

# pkg_source <- file.path(ifelse(file.exists("~/wrk"), "~/wrk", "~/dev"),
#                         "MsDataHub")

pkg_source <- file.path(ifelse(file.exists("~/dev"), "~/dev", "~/wrk"),
                        "MsDataHub")

stopifnot(file.exists(pkg_source))

AnnotationHubData::makeAnnotationHubMetadata(pathToPackage = pkg_source,
                                             fileName = "metadata.csv")

##' @title Ai et al (2025) single-cell data
##'
##' @name Ai2025
##'
##' @aliases Ai2025_aCMs_report.tsv Ai2025_iCMs_report.tsv
##'
##' @description
##'
##' Single-cell proteomics captures the Proteome Heterogeneity in Human
##' iPSC-Derived Cardiomyocytes and Adult Cardiomyocytes.
##'
##' Project description (from MassIVE): Human induced pluripotent stem cell
##' (IPSC)-derived cardiomyocytes (iCMs) have become important tools to model
##' cardiovascular diseases and drug toxicology. Despite suggested
##' transcriptomic heterogeneity in both iPSC and iCMs, the cellular proteome
##' heterogeneity is poorly understood. Using cutting-edge single cell
##' proteomics, we quantify the maturation from IPSC to iCMs and observed two
##' distinct populations of iCMs with different metabolism, which recapitulates
##' the single adult cardiomyocyte proteome populations albeit less
##' mature.
##'
##' The two DIA-NN report files are downloaded from the MassIVE dataset
##' MSV000094438 (doi:10.25345/C5T727S7Q) are redistruted here are:
##'
##' - Adult cardiomyocyte (aCMs): 299 cells
##' - iPSC-derived cardiomyocytes (iCMs): 2184 cells
##'
##' Dataset license: CC0 1.0 Universal (CC0 1.0)
##'
##' @references
##'
##' Ai, Lizhuo, Aleksandra Binek, Vladimir Zhemkov, Jae Hyung Cho, Ali Haghani,
##' Simion Kreimer, Edo Israely, et al. 2025. “Single Cell Proteomics Reveals
##' Specific Cellular Subtypes in Cardiomyocytes Derived from Human iPSCs and
##' Adult Hearts.” Mol. Cell. Proteomics, no. 100910 (January):
##' 100910. https://doi.org/10.1016/j.mcpro.2025.100910.
##'
##' @author EuBIC 2025 developper meeting SCP hackathon members
NULL

##' @title PXD000001 Proteomics Data
##'
##' @description
##'
##' The PXD000001 files are part of the first ProteomeXchange
##' submission (Vizcaíno J.A. et al, 2014), and contain the following
##' files.
##'
##' - TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz:
##'   an TMT6 6-plex LC-MSMS data containing 6 human spiked-in
##'   proteins in a constant *Erwinia carotovora* protein backgroud. The
##'   data is described in more details in Gatto and Christoforou
##'   (2013).
##'
##' - TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid:
##'   generated searching the raw data against the *Erwinia
##'   carotovora* fasta database
##'
##' @seealso
##'
##' The [rpx](https://bioconductor.org/packages/3.16/rpx) package can
##' be used to access and download any PRIDE/ProteomeXchange files.
##'
##' @name PXD000001
##'
##' @aliases TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz
##'
##' @aliases TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01.20141210.mzid TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01.20141210.mzML.gz
##'
##' @references
##'
##' - Vizcaíno J.A. et al. *ProteomeXchange: globally co-ordinated
##'   proteomics data submission and dissemination*, Nature
##'   Biotechnology 2014, 32,
##'   223–226. http://www.ncbi.nlm.nih.gov/pubmed/24727771
##'
##' - Gatto L. and Christoforou A. *Using R and Bioconductor for
##'   proteomics data analysis*, Biochim Biophys Acta - Proteins and
##'   Proteomics, 2013. http://www.ncbi.nlm.nih.gov/pubmed/23692960
NULL

##' @title All MsDataHub datasets
##'
##' @description
##'
##'
##' The MsDataHub package provides example mass spectrometry data,
##' peptide spectrum matches or quantitative data from proteomics and
##' metabolomics experiments.
##'
##' The [MsDataHub()] function returns a `data.frame` with all the
##' annotated datasets provided in the package. For details on these
##' individual datasets, refer to their respective manual pages.
##'
##' See the vignette and the respective manuals pages for more details
##' about the package and the data themselves.
##'
##' @return A `data.frame` describing the data available in
##'     `MsDataHub`.
##'
##' @author Laurent Gatto
##'
##' @export
##'
##' @importFrom utils read.csv
##'
##' @examples
##'
##' MsDataHub()
MsDataHub <- function() {
   fl <- system.file("extdata", "metadata.csv", package = "MsDataHub")
   read.csv(fl, stringsAsFactors = FALSE)
}

##' @title DIA benchmarking data
##'
##' @name benchmarkingDIA
##'
##' @aliases benchmarkingDIA.tsv
##'
##' @description
##'
##' These data were generated based on publicly available DIA
##' benchmarking dataset from Gotti et al. (2021). A subset of raw
##' data, containing "overlapped" in the File.Name were searched using
##' the DIA-NN software, and the resulting report.tsv (here labelled
##' as 'benchmarkingDIA.tsv') is provided.
##'
##' The dataset contains 8 conditions containing a mix of E.coli and
##' Universal Standard Protein-1 (UPS1) peptides.  Per 1 ug of E.coli
##' protein (equal in all samples), UPS1 proteins are diluted to final
##' concentration of 50, 25, 10, 5, 2.5, 1, 0.25 and 0.1 fmol.
##'
##' Each sample was prepared in 3 replicates, so altogether there are
##' 24 samples in the dataset.
##'
##' @references
##'
##' - Gotti C, Roux-Dalvai F, Joly-Beauparlant C, Mangnier L, Leclercq
##'   M, Droit A.  Extensive and Accurate Benchmarking of DIA
##'   Acquisition Methods and Software Tools Using a Complex Proteomic
##'   Standard. J Proteome Res. 2021 Oct 1;20(10):4801-4814. doi:
##'   10.1021/acs.jproteome.1c00490.  Epub 2021 Sep 2. PMID: 34472865.
##'
##' @author Kristina Gomoryova and Laurent Gatto
NULL

#' @title MS data in CDF format
#'
#' @name cdf
#'
#' @description
#'
#' This data set represents a single CDF file in (AIA/ANDI) NetCDF
#' format from a larger experiment in which the metabolic consequences
#' of knocking the fatty acid amide hydrolase (FAAH) gene in mice was
#' investigated. The file contains datain centroid mode acquired in
#' positive ion mode from 200-600 m/z and 2500-4500 seconds.
#'
#' Data file:
#'
#' - *ko15.CDF* file in NetCDF format.
#'
#' @aliases ko15.CDF
#'
#' @references
#'
#' - Saghatelian, A et al. *Assignment of endogenous substrates to enzymes
#'   by global metabolite profiling*, Biochemistry, 2004.
#'   http://dx.doi.org/10.1021/bi0480335
NULL

##' @title Contaminant and cRAP databases
##'
##' @name cRAP
##'
##' @aliases crap contaminatants crap_ccp.fasta crap_gpm.fasta crap_maxquant.fasta.gz
##'
##' @description
##'
##' These 3 fasta files are widely used proteomics contaminants. The files are:
##'
##' 1. crap_gpm.fasta: the common Repository of Adventitious Proteins (cRAP)
##'    from the Global Proteome Machine (GPM) organisation.
##'
##' 2. crap_ccp.fasta: Cambridge Centre for Proteomics' own cRAP fasta database.
##'
##' 3. crap_maxquant.fasta.gz: MaxQuant's contaminant database.
##'
##' These files are extracted from the `camprotR` package and described in the
##' cRAP databases vignette (see References).
##'
##' These files are added to the `MsDataHub` package via the corresponding
##' Zenodo repository to raciliate re-use with minimal dependecies and avoid
##' repeated downloaded using caching.
##'
##' All credit for compiling the fasta files goes to Charlotte Dawson,
##' maintainer of the `camprotR` package.
##'
##' @references
##'
##' - cRAP databases vignette: https://cambridgecentreforproteomics.github.io/camprotR/articles/crap.html
##' - cRPA protein sequences (GPM): https://www.thegpm.org/crap/
##' - camprotR package: https://cambridgecentreforproteomics.github.io/camprotR/index.html
##' - Gatto, L. (2025). Proteomics contaminant databases
##'   (1.0). Zenodo. https://doi.org/10.5281/zenodo.15115102
##'
##' @author Laurent Gatto
NULL

##' @title Triple TOF SWATH Data
##'
##' @name TripleTOF
##'
##' @description
##'
##' These files represent data from reverse-phased LC-MS/MS runs on the
##' Agilent Pesticide mix obtained from a Sciex 6600 Triple ToF operated
##' either in Sequential Window Acquisition of all THeoretical mass spectra
##' (SWATH) or Data Dependent Acquisition (DDA) acquisition mode.
##'
##' The data files are:
##'
##' - *PestMix1_DDA.mzML*: mzML file with MS1 and MS2 spectra from the
##'   Agilent Pesticide Mix acquired in DDA mode.
##'
##' - *PestMix1_SWATH.mzML*: mzML file with MS1 and MS2 spectra from
##'   the Agilent Pesticide Mix acquired in SWATH mode.
##'
##' @author Micheal Witting, Johannes Rainer
##'
##' @aliases  PestMix1_DDA.mzML  PestMix1_SWATH.mzML
NULL

##' @title AB Sciex LC-MS data files
##'
##' @name sciex
##'
##' @aliases 20171016_POOL_POS_1_105-134.mzML 20171016_POOL_POS_3_105-134.mzML
##'
##' @aliases X20171016_POOL_POS_1_105.134.mzML X20171016_POOL_POS_3_105.134.mzML
##'
##' @description
##'
##' The *sciex* mzML files represent profile-mode LC-MS data of pooled
##' human serum samples (the same pool being measured). The samples
##' were analyzed by ultra high-performance liquid chromatography
##' (UHPLC; Agilent 1290) coupled to a Q-TOF mass spectrometer
##' (TripleTOF 5600+ AB Sciex). The chromatographic separation was
##' based in hydrophilic interaction liquid chromatography (HILIC) and
##' performed using an Waters Acquity BEH Amide, 100 x 2.1 mm column.
##'
##' The mass spectrometer was operated in full scan mode in the mass
##' range from 50 to 1000 m/z and with an accumulation time of 250
##' ms. The files represent a subset of spectra/scans from m/z 105 to
##' 134 and from retention time 0 to 260 seconds. The files were
##' generated in the same LC-MS run, but from different
##' injections. Details on the individual files are provided below.
##'
##' Files:
##'
##' - *20171016_POOL_POS_1_105-134.mzML*: profile-mode LC-MS data of
##'   pooled human serum samples. Injection index: 1.
##'
##' - *20171016_POOL_POS_3_105-134.mzML*: profile-mode LC-MS data of
##'   pooled human serum samples. Injection index: 19.
##'
##'
##' @author Sigurdur Smarason, Giuseppe Paglia and Johannes Rainer
NULL

---
title: "Mass Spectrometry Data on ExperimentHub"
author:
- name: Laurent Gatto
package: MsDataHub
output:
  BiocStyle::html_document:
    toc_float: true
vignette: >
  %\VignetteIndexEntry{Mass Spectrometry Data on ExperimentHub}
  %\VignetteEngine{knitr::rmarkdown}
  %%\VignetteKeywords{Mass Spectrometry, MS, MSMS, Proteomics, Metabolomics}
  %\VignetteEncoding{UTF-8}
---

```{r style, echo = FALSE, results = 'asis'}
BiocStyle::markdown()
```

```{r env, echo = FALSE, message = FALSE}
library(Spectra)
library(PSMatch)
library(QFeatures)
```



# Introduction

The `MsDataHub` package provides example mass spectrometry data,
peptide spectrum matches or quantitative data from proteomics and
metabolomics experiments. The data are served through the
`ExperimentHub` infrastructure, which allows download them only ones
and cache them for further use. Currently available data are summarised
in the table below and details in the next section.

```{r data}
library("MsDataHub")
DT::datatable(MsDataHub())
```

# Installation

To install the package:

```{r install1, eval = FALSE}
if (!require("BiocManager"))
    install.packages("BiocManager")

BiocManager::install("MsDataHub")
```


# Available data

## TripleTOF

- Type: Raw MS data
- Files: `PestMix1_DDA.mzML` and `PestMix1_SWATH.mzML`
- More details: `?TripleTOF`

Load with

```{r, eval = TRUE}
f <- PestMix1_DDA.mzML()
library(Spectra)
Spectra(f)
```

```{r, eval = TRUE}
f <- PestMix1_SWATH.mzML()
Spectra(f)
```

## sciex

- Type: Raw MS data
- Files: `20171016_POOL_POS_1_105-134.mzML` and `20171016_POOL_POS_3_105-134.mzML`
- More details: `?sciex`

Load with

```{r, eval = TRUE}
f <- X20171016_POOL_POS_1_105.134.mzML()
Spectra(f)
```
```{r, eval = TRUE}
f <- X20171016_POOL_POS_3_105.134.mzML()
Spectra(f)
```

## PXD000001

- Type: Raw MS data and peptide spectrum matches
- Files:
  `TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz`
  and
  `TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid`
- More details: `?PDX000001`

Load with

```{r, eval = TRUE}
f <- TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01.20141210.mzML.gz()
Spectra(f)
```

```{r, eval = TRUE}
f <- TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01.20141210.mzid()
library(PSMatch)
PSM(f)
```

## CPTAC

- Type: tab-delimited quantitative proteomics data tables (as produced
  by MaxQuant)
- Files: `cptac_a_b_c_peptides.txt`, `cptac_a_b_peptides.txt` and
  `cptac_peptides.txt`
- More details: `?cptac`

Load with

```{r, eval = TRUE}
library(QFeatures)
f <- cptac_peptides.txt()
ecols <- grep("Intensity\\.", names(read.delim(f)))
readSummarizedExperiment(f, ecols, sep = "\t")
```

```{r, eval = TRUE}
cptac_a_b_c_peptides.txt()
cptac_a_b_peptides.txt()
```

## FAAH KO

- Type: Raw MS data, in netCDF format.
- File: `ko15.CDF`
- More details: `?cdf`

Load with

```{r, eval = TRUE}
f <- ko15.CDF()
Spectra(f)
```

## DIA-NN software outputs

- Type: tab-delimited DIA quantitative proteomics data tables produced
  by [DIA-NN](https://github.com/vdemichev/DiaNN).
- Files:
  - Label-free DIA: `benchmarkingDIA.tsv`
  - mTRAQ plexDIA: `Report.Derks2022.plexDIA.tsv`
- More details: `?benchmarkingDIA.tsv` and
  `?Report.Derks2022.plexDIA.tsv`

Load with

```{r lfdia, eval = TRUE, message = FALSE}
library(QFeatures)
lfdia <- read.delim(MsDataHub::benchmarkingDIA.tsv())
readQFeaturesFromDIANN(lfdia)
```

```{r pledia, eval = TRUE, message = FALSE}
plexdia <- read.delim(MsDataHub::Report.Derks2022.plexDIA.tsv())
readQFeaturesFromDIANN(plexdia, multiplexing = "mTRAQ")
```

## DIA-NN single-cell proteomics reports

- Type: tab-delimited DIA quantitative proteomics data tables produced
  by [DIA-NN](https://github.com/vdemichev/DiaNN).
- Files:
  - Single-cell abel-free: `Ai2025_aCMs_report.tsv`
  - Single-cell label-free: `Ai2025_iCMs_report.tsv`
- More details: `?Ai2025`.

## Proteomics contaminant databases

- Type: fasta files, as documented in `camprotR`'s [cRAP
  databases](https://cambridgecentreforproteomics.github.io/camprotR/articles/crap.html)
  vignette.
- Files:
  - `crap_gpm.fasta`: the common Repository of Adventitious Proteins
    (cRAP) from the Global Proteome Machine (GPM) organisation.
  - `crap_ccp.fasta`: Cambridge Centre for Proteomics' own cRAP fasta
    database.
  - `crap_maxquant.fasta.gz`: MaxQuant's contaminant database.
- More details: `?cRAP`.

# Adding data to `MsDataHub`

1. If you would like additional dataset to `MsDataHub`, start by
   opening an
   [issue](https://github.com/rformassspectrometry/MsDataHub/issues)
   in the package's GitHub repository and describe the new data. In
   particular, provide information about it's provenance, its use, its
   format(s) and acknowledge that the data may be shared freely with
   the community without any restrictions. You may provide an open
   licence specifying the terms it can be re-used, typically a
   CC-BY-SA license.
2. By contribution to the package, you acknowledge that you will
   comply to the R for Mass Spectrometry project [code of
   conduct](https://rformassspectrometry.github.io/RforMassSpectrometry/articles/RforMassSpectrometry.html#code-of-conduct).
3. A maintainer of the package will reply to your issue, confirming
   that the data can be added.
4. At this point, if you are familiar with the development of
   `ExperimentHub` packages and GitHub *pull requests*, you may
   directly send one that adds your data to the package. Make sure (1)
   add appropriate references in the manual page and (2) to add
   yourself as a contributor of the package in the DESCRIPTION file.
5. Alternatively, a maintainer will add the dataset to the package and
   may require your input to make sure the documentation file is
   complete.

# Session information {-}

```{r sessioninfo, echo=FALSE}
sessionInfo()
```

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/benchmarkingDIA.R
\name{benchmarkingDIA}
\alias{benchmarkingDIA}
\alias{benchmarkingDIA.tsv}
\title{DIA benchmarking data}
\description{
These data were generated based on publicly available DIA
benchmarking dataset from Gotti et al. (2021). A subset of raw
data, containing "overlapped" in the File.Name were searched using
the DIA-NN software, and the resulting report.tsv (here labelled
as 'benchmarkingDIA.tsv') is provided.

The dataset contains 8 conditions containing a mix of E.coli and
Universal Standard Protein-1 (UPS1) peptides.  Per 1 ug of E.coli
protein (equal in all samples), UPS1 proteins are diluted to final
concentration of 50, 25, 10, 5, 2.5, 1, 0.25 and 0.1 fmol.

Each sample was prepared in 3 replicates, so altogether there are
24 samples in the dataset.
}
\references{
\itemize{
\item Gotti C, Roux-Dalvai F, Joly-Beauparlant C, Mangnier L, Leclercq
M, Droit A.  Extensive and Accurate Benchmarking of DIA
Acquisition Methods and Software Tools Using a Complex Proteomic
Standard. J Proteome Res. 2021 Oct 1;20(10):4801-4814. doi:
10.1021/acs.jproteome.1c00490.  Epub 2021 Sep 2. PMID: 34472865.
}
}
\author{
Kristina Gomoryova and Laurent Gatto
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/derks2022plexDIA.R
\name{Report.Derks2022.plexDIA}
\alias{Report.Derks2022.plexDIA}
\alias{Report.Derks2022.plexDIA.tsv}
\title{Derks 2022 plexDIA data}
\description{
Single cell proteomics data acquired by the Slavov Lab using the
plexDIA protocol. It contains quantitative information from
pancreatic ductal acinar cells (PDAC; HPAF-II), melanoma cells
(WM989-A6-G3) and monocytes (U-937) at precursor and protein
level. The each run acquired 3 samples thanks to mTRAQ
multiplexing.

The data were downloaded from the Slavov lab google drive:
\itemize{
\item https://drive.google.com/drive/folders/1pUC2zgXKtKYn22mlor0lmUDK0frgwL_-
\item DIANN_outputs
\item wJD1146_1193_1200_tsvLib
\item Report.tsv
}

For more details about the data: https://plexdia.slavovlab.net/

The file is reshare here allow its dissemination via the MsDataHub
package.
}
\references{
Derks, J., Leduc, A., Wallmann, G. et al. Increasing the
throughput of sensitive proteomics by plexDIA. Nat Biotechnol
(2022). 10.1038/s41587-022-01389-w.
}
\author{
Laurent Gatto
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Ai2025.R
\name{Ai2025}
\alias{Ai2025}
\alias{Ai2025_aCMs_report.tsv}
\alias{Ai2025_iCMs_report.tsv}
\title{Ai et al (2025) single-cell data}
\description{
Single-cell proteomics captures the Proteome Heterogeneity in Human
iPSC-Derived Cardiomyocytes and Adult Cardiomyocytes.

Project description (from MassIVE): Human induced pluripotent stem cell
(IPSC)-derived cardiomyocytes (iCMs) have become important tools to model
cardiovascular diseases and drug toxicology. Despite suggested
transcriptomic heterogeneity in both iPSC and iCMs, the cellular proteome
heterogeneity is poorly understood. Using cutting-edge single cell
proteomics, we quantify the maturation from IPSC to iCMs and observed two
distinct populations of iCMs with different metabolism, which recapitulates
the single adult cardiomyocyte proteome populations albeit less
mature.

The two DIA-NN report files are downloaded from the MassIVE dataset
MSV000094438 (doi:10.25345/C5T727S7Q) are redistruted here are:
\itemize{
\item Adult cardiomyocyte (aCMs): 299 cells
\item iPSC-derived cardiomyocytes (iCMs): 2184 cells
}

Dataset license: CC0 1.0 Universal (CC0 1.0)
}
\references{
Ai, Lizhuo, Aleksandra Binek, Vladimir Zhemkov, Jae Hyung Cho, Ali Haghani,
Simion Kreimer, Edo Israely, et al. 2025. “Single Cell Proteomics Reveals
Specific Cellular Subtypes in Cardiomyocytes Derived from Human iPSCs and
Adult Hearts.” Mol. Cell. Proteomics, no. 100910 (January):
100910. https://doi.org/10.1016/j.mcpro.2025.100910.
}
\author{
EuBIC 2025 developper meeting SCP hackathon members
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PXD000001.R
\name{PXD000001}
\alias{PXD000001}
\alias{TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid}
\alias{TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz}
\alias{TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01.20141210.mzid}
\alias{TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01.20141210.mzML.gz}
\title{PXD000001 Proteomics Data}
\description{
The PXD000001 files are part of the first ProteomeXchange
submission (Vizcaíno J.A. et al, 2014), and contain the following
files.
\itemize{
\item TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzML.gz:
an TMT6 6-plex LC-MSMS data containing 6 human spiked-in
proteins in a constant \emph{Erwinia carotovora} protein backgroud. The
data is described in more details in Gatto and Christoforou
(2013).
\item TMT_Erwinia_1uLSike_Top10HCD_isol2_45stepped_60min_01-20141210.mzid:
generated searching the raw data against the \emph{Erwinia
carotovora} fasta database
}
}
\references{
\itemize{
\item Vizcaíno J.A. et al. \emph{ProteomeXchange: globally co-ordinated
proteomics data submission and dissemination}, Nature
Biotechnology 2014, 32,
223–226. http://www.ncbi.nlm.nih.gov/pubmed/24727771
\item Gatto L. and Christoforou A. \emph{Using R and Bioconductor for
proteomics data analysis}, Biochim Biophys Acta - Proteins and
Proteomics, 2013. http://www.ncbi.nlm.nih.gov/pubmed/23692960
}
}
\seealso{
The \href{https://bioconductor.org/packages/3.16/rpx}{rpx} package can
be used to access and download any PRIDE/ProteomeXchange files.
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MsDataHub.R
\name{MsDataHub}
\alias{MsDataHub}
\title{All MsDataHub datasets}
\usage{
MsDataHub()
}
\value{
A \code{data.frame} describing the data available in
\code{MsDataHub}.
}
\description{
The MsDataHub package provides example mass spectrometry data,
peptide spectrum matches or quantitative data from proteomics and
metabolomics experiments.

The \code{\link[=MsDataHub]{MsDataHub()}} function returns a \code{data.frame} with all the
annotated datasets provided in the package. For details on these
individual datasets, refer to their respective manual pages.

See the vignette and the respective manuals pages for more details
about the package and the data themselves.
}
\examples{

MsDataHub()
}
\author{
Laurent Gatto
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/crap.R
\name{cRAP}
\alias{cRAP}
\alias{crap}
\alias{contaminatants}
\alias{crap_ccp.fasta}
\alias{crap_gpm.fasta}
\alias{crap_maxquant.fasta.gz}
\title{Contaminant and cRAP databases}
\description{
These 3 fasta files are widely used proteomics contaminants. The files are:
\enumerate{
\item crap_gpm.fasta: the common Repository of Adventitious Proteins (cRAP)
from the Global Proteome Machine (GPM) organisation.
\item crap_ccp.fasta: Cambridge Centre for Proteomics' own cRAP fasta database.
\item crap_maxquant.fasta.gz: MaxQuant's contaminant database.
}

These files are extracted from the \code{camprotR} package and described in the
cRAP databases vignette (see References).

These files are added to the \code{MsDataHub} package via the corresponding
Zenodo repository to raciliate re-use with minimal dependecies and avoid
repeated downloaded using caching.

All credit for compiling the fasta files goes to Charlotte Dawson,
maintainer of the \code{camprotR} package.
}
\references{
\itemize{
\item cRAP databases vignette: https://cambridgecentreforproteomics.github.io/camprotR/articles/crap.html
\item cRPA protein sequences (GPM): https://www.thegpm.org/crap/
\item camprotR package: https://cambridgecentreforproteomics.github.io/camprotR/index.html
\item Gatto, L. (2025). Proteomics contaminant databases
(1.0). Zenodo. https://doi.org/10.5281/zenodo.15115102
}
}
\author{
Laurent Gatto
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sciex.R
\name{sciex}
\alias{sciex}
\alias{20171016_POOL_POS_1_105-134.mzML}
\alias{20171016_POOL_POS_3_105-134.mzML}
\alias{X20171016_POOL_POS_1_105.134.mzML}
\alias{X20171016_POOL_POS_3_105.134.mzML}
\title{AB Sciex LC-MS data files}
\description{
The \emph{sciex} mzML files represent profile-mode LC-MS data of pooled
human serum samples (the same pool being measured). The samples
were analyzed by ultra high-performance liquid chromatography
(UHPLC; Agilent 1290) coupled to a Q-TOF mass spectrometer
(TripleTOF 5600+ AB Sciex). The chromatographic separation was
based in hydrophilic interaction liquid chromatography (HILIC) and
performed using an Waters Acquity BEH Amide, 100 x 2.1 mm column.

The mass spectrometer was operated in full scan mode in the mass
range from 50 to 1000 m/z and with an accumulation time of 250
ms. The files represent a subset of spectra/scans from m/z 105 to
134 and from retention time 0 to 260 seconds. The files were
generated in the same LC-MS run, but from different
injections. Details on the individual files are provided below.

Files:
\itemize{
\item \emph{20171016_POOL_POS_1_105-134.mzML}: profile-mode LC-MS data of
pooled human serum samples. Injection index: 1.
\item \emph{20171016_POOL_POS_3_105-134.mzML}: profile-mode LC-MS data of
pooled human serum samples. Injection index: 19.
}
}
\author{
Sigurdur Smarason, Giuseppe Paglia and Johannes Rainer
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TripleTOF-SWATH.R
\name{TripleTOF}
\alias{TripleTOF}
\alias{PestMix1_DDA.mzML}
\alias{PestMix1_SWATH.mzML}
\title{Triple TOF SWATH Data}
\description{
These files represent data from reverse-phased LC-MS/MS runs on the
Agilent Pesticide mix obtained from a Sciex 6600 Triple ToF operated
either in Sequential Window Acquisition of all THeoretical mass spectra
(SWATH) or Data Dependent Acquisition (DDA) acquisition mode.

The data files are:
\itemize{
\item \emph{PestMix1_DDA.mzML}: mzML file with MS1 and MS2 spectra from the
Agilent Pesticide Mix acquired in DDA mode.
\item \emph{PestMix1_SWATH.mzML}: mzML file with MS1 and MS2 spectra from
the Agilent Pesticide Mix acquired in SWATH mode.
}
}
\author{
Micheal Witting, Johannes Rainer
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cdf.R
\name{cdf}
\alias{cdf}
\alias{ko15.CDF}
\title{MS data in CDF format}
\description{
This data set represents a single CDF file in (AIA/ANDI) NetCDF
format from a larger experiment in which the metabolic consequences
of knocking the fatty acid amide hydrolase (FAAH) gene in mice was
investigated. The file contains datain centroid mode acquired in
positive ion mode from 200-600 m/z and 2500-4500 seconds.

Data file:
\itemize{
\item \emph{ko15.CDF} file in NetCDF format.
}
}
\references{
\itemize{
\item Saghatelian, A et al. \emph{Assignment of endogenous substrates to enzymes
by global metabolite profiling}, Biochemistry, 2004.
http://dx.doi.org/10.1021/bi0480335
}
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cptac.R
\name{cptac}
\alias{cptac}
\alias{cptac_a_b_c_peptides.txt}
\alias{cptac_a_b_peptides.txt}
\alias{cptac_peptides.txt}
\title{CPTAC label-free data}
\description{
This case-study is a subset of the data of the 6th study of the
Clinical Proteomic Technology Assessment for Cancer (CPTAC)
(Paulovich et al. 2010). In this experiment, the authors spiked
the Sigma Universal Protein Standard mixture 1 (UPS1) containing
48 different human proteins in a protein background of 60
micro g/micro L Saccharomyces cerevisiae strain BY4741.

Five different spike-in concentrations were used:
\itemize{
\item 6A: 0.25 fmol UPS1 proteins/micro L
\item 6B: 0.74 fmol UPS1 proteins/micro L
\item 6C: 2.22 fmol UPS1 proteins/micro L
\item 6D: 6.67 fmol UPS1 proteins/micro L
\item 6E: 20 fmol UPS1 proteins/micro L
}

Three replicates are available for each concentration.

The data were searched with MaxQuant version 1.5.2.8 (Cox et
al. 2008) including matching between runs. Detailed search
settings were described in Goeminne et al. (2016).

Three files are readily available as tab-delimited spreadsheets:
\itemize{
\item cptac_a_b_peptides.txt: triplicates from lab 3 for groupes 6A
and 6B.
\item cptac_a_b_c_peptides.txt: triplicates from labs 1, 2 and 3 for
groupes 6A, 6B and 6C.
\item cptac_peptides.txt: triplicates from labs 1, 2, and 3 for all
groups.
}
}
\references{
\itemize{
\item Paulovich, Amanda G, Dean Billheimer, Amy-Joan L Ham, Lorenzo
Vega-Montoto, Paul A Rudnick, David L Tabb, Pei Wang, et
al. 2010. \emph{Interlaboratory Study Characterizing a Yeast
Performance Standard for Benchmarking LC-MS Platform
Performance.} Mol. Cell. Proteomics 9 (2): 242–54.
\item Cox, J, and M Mann. 2008. \emph{MaxQuant Enables High Peptide
Identification Rates, Individualized p.p.b.-Range Mass
Accuracies and Proteome-Wide Protein Quantification.} Nat
Biotechnol 26 (12): 1367–72. https://doi.org/10.1038/nbt.1511.
\item Goeminne, LJ, Gevaert K and Clement, L. 2016. \emph{Peptide-level
Robust Ridge Regression Improves Estimation, Sensitivity, and
Specificity in Data-dependent Quantitative Label-free Shotgun
Proteomics}, Mol Cell Proteomics, 15:2 657-668.
}
}
\author{
Laurent Gatto and Lieven Clement
}
